# Review at https://bugzilla.redhat.com/show_bug.cgi?id=398111

%global minor_version 0.1

Name:           xfce4-time-out-plugin
Version:        0.1.1
Release:        5%{?dist}
Summary:        Xfce panel plugin for taking breaks from the computer

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minor_version}/%{name}-%{version}.tar.bz2
# http://bugzilla.xfce.org/show_bug.cgi?id=3224
# http://git.xfce.org/panel-plugins/xfce4-time-out-plugin/commit/?id=9ba7d355c1aef7e199bcb97f1d13c0c71c636497
Patch0:         xfce4-time-out-plugin-0.1.1-hide-time-label-if-settings-say-so.patch
# contains all translations from 
# http://translations.xfce.org/projects/p/xfce4-time-out-plugin/c/master/ 
# as of 2010-12-19
Patch1:         xfce4-time-out-plugin-0.1.1-update-translations.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xfce4-panel-devel >= 4.3.90.2
BuildRequires:  libxfcegui4-devel >= 4.3.90.2
BuildRequires:  libxml2-devel
BuildRequires:  libICE-devel
BuildRequires:  gettext, intltool
Requires:       xfce4-panel >= 4.4.0

%description
This plugin makes it possible to take periodical breaks from the computer every
X minutes. During breaks it locks your screen. It optionally allows you to 
postpone breaks for a certain time.


%prep
%setup -q
%patch0 -p1 -b .hide-time-label
%patch1 -p1 -b .update-translations


%build
%configure 
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Sun Dec 19 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.1-5
- Hide the time label on startup if settings say so (bugzilla.xfce.org #3224)
- Update translations from Xfce Transifex
- Update icon-cache scriptlets

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.1-2
- Rebuild for Xfce 4.6 (Beta 3)

* Sun Nov 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.1-1
- Initial Fedora package
